> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore a database backup



## OpenAPI

````yaml /openapi.json post /api/databases/{databaseId}/restore
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/databases/{databaseId}/restore:
    post:
      tags:
        - Databases
      summary: Restore a database backup
      operationId: postApiDatabasesByDatabaseIdRestore
      parameters:
        - name: databaseId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                backupId:
                  minLength: 1
                  type: string
              required:
                - backupId
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                backupId:
                  minLength: 1
                  type: string
              required:
                - backupId
          multipart/form-data:
            schema:
              type: object
              properties:
                backupId:
                  minLength: 1
                  type: string
              required:
                - backupId
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````